/***************************************************************************
 *   Copyright (C) 2004 by Adam Skowronski                                 *
 *   tytus@oldfield.org.pl                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef EINDIV_H
#define EINDIV_H

#include <qstring.h>
#include <qdatetime.h>

/**
Class used to store individual events and as a base class for periodic and past events 
@brief Individual event class
@author Adam Skowronski
*/

class CalendarEvent{
public:
    CalendarEvent();
	CalendarEvent(QDate date, QString text); //individual constructor
    ~CalendarEvent();
    bool doesMatch(QDate d);
	
	
	QDate startDate;/**< start date of periodic event or just a date of individual or past event */
	QString text;/**< text description of event */
};

#endif
