/***************************************************************************
 *   Copyright (C) 2004 by Adam Skowronski                                 *
 *   tytus@oldfield.org.pl                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef FINDIV_H
#define FINDIV_H


#include "fxml.h"
#include "eindiv.h"
#include <qptrlist.h>



/**
This class contains methods used for saving and reading file with individual events

@brief Manages individual events file
@author Adam Skowronski
*/
class FileIndividual : public FileXML{
public:
    FileIndividual(QPtrList<CalendarEvent>* l);

    ~FileIndividual();
    QString createIndividualXML();
	QString addTagEventIndividual(CalendarEvent * temp);
		
	void retrieveIndividualEventParameters(QDomNode n);
	void retrieveIndividualEvents(QDomNode n);
	void createIndividualList(QString filename);

	/** pointer to global list of individual events */
	QPtrList<CalendarEvent>* list;

};

#endif
