/***************************************************************************
 *   Copyright (C) 2004 by Adam Skowronski                                 *
 *   tytus@oldfield.org.pl                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef FPERIOD_H
#define FPERIODC_H

#include "fxml.h"
#include <qstring.h>
#include <qptrlist.h>
#include "eperiod.h"

/**
This class contains methods used for saving and reading file with periodic events

@brief Manages periodic events file
@author Adam Skowronski
*/
class FilePeriodic : public FileXML {
public:
    FilePeriodic(QPtrList<CalendarEventPeriodic> *l);

    ~FilePeriodic();
	
	QString addTagEventPeriodic(CalendarEventPeriodic* temp) ;

	QString createPeriodicXML();
	void retrievePeriodicEventParameters(QDomNode n);
	void retrievePeriodicEvents(QDomNode n);
	void createPeriodicList(QString xmlfile);

	/** pointer to global list of periodic events */
	QPtrList<CalendarEventPeriodic> * list;

};

#endif
