/***************************************************************************
 *   Copyright (C) 2004 by Adam Skowronski                                 *
 *   tytus@oldfield.org.pl                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef SETTINGSCONTROL_H
#define SETTINGSCONTROL_H

#include "settingswidget.h"
#include "eperiod.h"
#include "settings.h"

class CalendarCardData;

/**
Class used to control SettingWidget class/widget
<br>Setting Widget class is a widget for setting some application parametres. 
@brief Controls settings window
@author Adam Skowronski
*/
class SettingsControl : public SettingsWidget
{
Q_OBJECT
public:
    SettingsControl(QWidget * parent);

    ~SettingsControl();
    void AddEvent();
    bool verifyEvent();
    void displayErrorMessage(QString tekst);
    void UpdateEvents();
    void updateData(int i);
    void accept();
    void RemoveEvent();
    void saveChanges();
    void discardChanges();
    void loadThemeNames();
    void changeThemeName();
    void setPeriodic(QString text, QDate date);
    void reloadThumbnails();
    void enableOutputFile(int i);
    void runBrowseWindow();
    void changedEOTW(int);
    void setSettingsWidgetFonts();
};

#endif
