/***************************************************************************
 *   Copyright (C) 2004 by Adam Skowronski                                 *
 *   tytus@oldfield.org.pl                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef WCALENDAR_H
#define WCALENDAR_H

//#include <qwidget.h>
#include <qpixmap.h>
#include <qpushbutton.h>
#include <qdatetime.h>
#include <qpopupmenu.h>
#include <qlabel.h>
#include <qdatetimeedit.h>
#include <qtabbar.h>
#include <qbutton.h>
#include <qtabwidget.h>
#include <qcombobox.h>


#include <qwidget.h>
#include <qptrlist.h>

#include "calendar.h"
#include "eperiod.h"
#include "eindiv.h"
#include "carddata.h"
#include "wcard.h"



class Calendar;

/**
Base class for calendar. 
<br>It manages all windows, cards and data.

@brief Calendar base class
@author Adam Skowronski
*/
class CalendarWidget : public QWidget
{
Q_OBJECT


public:

	/** \name Constructors and descructors */
	/** @{ */
    CalendarWidget(QWidget *parent = 0, const char *name = 0, int f=0);
    ~CalendarWidget();
    void removeCardData(QPtrList<CalendarCardData> * lista, long from);
	/** @} */	



	/* methods used during initialisation of object */
	void createCalendarCards(QPtrList<CalendarCardWidget> * lista, int ile);
    //prototypes to be implemented in child classes

    void resetCalendar();
    void changeGeometry(int pos, int width);

	//getters and setters
    QPixmap* getPixmap(int index);
	
	//properties
	QPtrList<CalendarCardWidget> kartki;	/**< list of CalendarCardWidget windows to display calendar data */
	QPtrList<CalendarCardData> dane;		/**< list of CalendarCardData data */
	Calendar * parent;						/**< pointer to parent (main) window*/
	int pos;								/**< position of left side of calendar (relative to application window) */
	int width;								/**< width of calendar */
    long zero_position;						/**< virtual position of the first day (current day). Have to be <= zero */

public slots:
    void closeInfos();


};

#endif
