/***************************************************************************
 *   Copyright (C) 2004 by Adam Skowronski                                 *
 *   tytus@oldfield.org.pl                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef WFUTURE_H
#define WFUTURE_H

#include "wcalendar.h"

/**
@author Adam Skowronski
*/
class CalendarWidgetFuture : public CalendarWidget
{
Q_OBJECT

public:
    CalendarWidgetFuture(QWidget* parent, const char* name, int f);
    ~CalendarWidgetFuture();

    void createCalendarData(QPtrList<CalendarCardData> * lista, int ile);
	void associateCardsDatas(QPtrList<CalendarCardWidget> * kartki, QPtrList<CalendarCardData> * daty);
	void addCardData(QPtrList<CalendarCardData> * lista, int ile);
    void switchToDate(QDate date);

	/** \name Methods used to managing data */
	/** @{ */
    void loadIndividualEvents(QPtrList<CalendarEvent>* allI);
    void loadPeriodicEvents(QPtrList<CalendarEventPeriodic>* allP);

    void addIndividualEvent(CalendarEvent* event);
    void addPeriodicEvent(CalendarEventPeriodic * event);

    CalendarEvent * addIndividualEvent(QDate date, QString text);
    CalendarEventPeriodic* addPeriodicEvent(QDate dStart, QDate dEnd, QString t, CalEnums::event_type type, int period, bool* days);	

	void removeIndividualEvent(CalendarEvent* event);
    void removePeriodicEvent(CalendarEventPeriodic * event);

	void dispatchIndividualEvents(int start, int end);
    void dispatchPeriodicEvents(int start, int end);

    void clearPeriodicEvents(int start, int end);
	/** @} */	


	//event handlers
	void paintEvent( QPaintEvent * e);
	void keyPressEvent ( QKeyEvent * e );
	

    QPtrList<CalendarEvent> allIndividualEvents;/**< global list of individual events */
	QPtrList<CalendarEventPeriodic> allPeriodicEvents;/**< global list of periodical events */

	
public slots:
    void shift(int i);
    CalendarEventPeriodic* getPeriodicEvent(int i);

};

#endif
