/***************************************************************************
 *   Copyright (C) 2004 by Adam Skowronski                                 *
 *   tytus@oldfield.org.pl                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef WPAST_H
#define WPAST_H

#include "wcalendar.h"
#include "epast.h"

/**
This class is responsible for displaying past calendar. It is basically very simmilart to CalendarWidget but there is several methods overloaded. 

@author Adam Skowronski
*/
class CalendarWidgetPast : public CalendarWidget
{
Q_OBJECT 

public:
    CalendarWidgetPast(QWidget *parent, const char *name, int f, int w, int noOfPastEvents) ;
    ~CalendarWidgetPast();
	
		void associateCardsDatas(QPtrList<CalendarCardWidget> * kartki, QPtrList<CalendarCardData> * daty);
    void createCalendarData(QPtrList<CalendarCardData> * lista, int ile);
	void addCardData(QPtrList<CalendarCardData> * lista, int ile);
    void switchToDate(QDate date);
	void loadPastEvents(QPtrList<CalendarEventPast>* allI);
	void dispatchEvents(int start, int end);
    void removeIndividualEvent(CalendarEvent* event);
	
	//event handlers
	void paintEvent( QPaintEvent * e);
	void keyPressEvent ( QKeyEvent * e );

	
    QPtrList<CalendarEventPast> allIndividualEvents;/**< list of past events */
    long max_zero_position;		/**< the largest acceptable shift of past calendar */
		
public slots:
    void shift(int i);

};

#endif
